gdcm::CryptographicMessageSyntax Class Referenceabstract

`#include <gdcmCryptographicMessageSyntax.h>`

Inheritance diagram for gdcm::CryptographicMessageSyntax:
[legend]

## Public Types

enum | CipherTypes { DES3_CIPHER , AES128_CIPHER , AES192_CIPHER , AES256_CIPHER }

## Public Member Functions

| CryptographicMessageSyntax ()=default
| CryptographicMessageSyntax (const CryptographicMessageSyntax &)=delete
virtual | ~CryptographicMessageSyntax ()=default
virtual bool | Decrypt (char *output, size_t &outlen, const char *array, size_t len) const =0
| decrypt content from a CMS envelopedData structure
virtual bool | Encrypt (char *output, size_t &outlen, const char *array, size_t len) const =0
| create a CMS envelopedData structure
virtual CipherTypes | GetCipherType () const =0
void | operator= (const CryptographicMessageSyntax &)=delete
virtual bool | ParseCertificateFile (const char *filename)=0
virtual bool | ParseKeyFile (const char *filename)=0
virtual void | SetCipherType (CipherTypes type)=0
virtual bool | SetPassword (const char *pass, size_t passLen)=0

## Member Enumeration Documentation

## CipherTypes

enum gdcm::CryptographicMessageSyntax::CipherTypes

Enumerator
DES3_CIPHER |
AES128_CIPHER |
AES192_CIPHER |
AES256_CIPHER |

## Constructor & Destructor Documentation

## CryptographicMessageSyntax() [1/2]

gdcm::CryptographicMessageSyntax::CryptographicMessageSyntax | ( |  | ) |

default

Referenced by CryptographicMessageSyntax(), and operator=().

## ~CryptographicMessageSyntax()

virtual gdcm::CryptographicMessageSyntax::~CryptographicMessageSyntax | ( |  | ) |

virtual default

## CryptographicMessageSyntax() [2/2]

gdcm::CryptographicMessageSyntax::CryptographicMessageSyntax | ( | const CryptographicMessageSyntax & |  | ) |

delete

References CryptographicMessageSyntax().

## Member Function Documentation

## Decrypt()

virtual bool gdcm::CryptographicMessageSyntax::Decrypt | ( | char * | output,
|  | size_t & | outlen,
|  | const char * | array,
|  | size_t | len ) const

pure virtual

decrypt content from a CMS envelopedData structure

Implemented in gdcm::CAPICryptographicMessageSyntax, gdcm::OpenSSLCryptographicMessageSyntax, and gdcm::OpenSSLP7CryptographicMessageSyntax.

## Encrypt()

virtual bool gdcm::CryptographicMessageSyntax::Encrypt | ( | char * | output,
|  | size_t & | outlen,
|  | const char * | array,
|  | size_t | len ) const

pure virtual

create a CMS envelopedData structure

Implemented in gdcm::CAPICryptographicMessageSyntax, gdcm::OpenSSLCryptographicMessageSyntax, and gdcm::OpenSSLP7CryptographicMessageSyntax.

## GetCipherType()

virtual CipherTypes gdcm::CryptographicMessageSyntax::GetCipherType | ( |  | ) | const

pure virtual

Implemented in gdcm::CAPICryptographicMessageSyntax, gdcm::OpenSSLCryptographicMessageSyntax, and gdcm::OpenSSLP7CryptographicMessageSyntax.

## operator=()

void gdcm::CryptographicMessageSyntax::operator= | ( | const CryptographicMessageSyntax & |  | ) |

delete

References CryptographicMessageSyntax().

## ParseCertificateFile()

virtual bool gdcm::CryptographicMessageSyntax::ParseCertificateFile | ( | const char * | filename | ) |

pure virtual

Implemented in gdcm::CAPICryptographicMessageSyntax, gdcm::OpenSSLCryptographicMessageSyntax, and gdcm::OpenSSLP7CryptographicMessageSyntax.

Examples
  BasicAnonymizer.cs, and ClinicalTrialIdentificationWorkflow.cs.

## ParseKeyFile()

virtual bool gdcm::CryptographicMessageSyntax::ParseKeyFile | ( | const char * | filename | ) |

pure virtual

Implemented in gdcm::CAPICryptographicMessageSyntax, gdcm::OpenSSLCryptographicMessageSyntax, and gdcm::OpenSSLP7CryptographicMessageSyntax.

## SetCipherType()

virtual void gdcm::CryptographicMessageSyntax::SetCipherType | ( | CipherTypes | type | ) |

pure virtual

Implemented in gdcm::CAPICryptographicMessageSyntax, gdcm::OpenSSLCryptographicMessageSyntax, and gdcm::OpenSSLP7CryptographicMessageSyntax.

## SetPassword()

virtual bool gdcm::CryptographicMessageSyntax::SetPassword | ( | const char * | pass,
|  | size_t | passLen )

pure virtual

Implemented in gdcm::CAPICryptographicMessageSyntax, gdcm::OpenSSLCryptographicMessageSyntax, and gdcm::OpenSSLP7CryptographicMessageSyntax.

The documentation for this class was generated from the following file:

- gdcmCryptographicMessageSyntax.h